| DOMCount |

DOMCount uses the provided DOM API to parse an XML file, construct the DOM tree and walk through the tree counting the elements (using just one API call).

| Running DOMCount |

The DOMCount sample parses an XML file and prints out the number of elements in the file. To run DOMCount, enter the following

    DOMCount <XML file>

The following parameters may be set from the command line

    Usage:
        DOMCount [options] <XML file | List file>

    This program invokes the DOMLSParser, builds the DOM tree,
    and then prints the number of elements found in each XML file.

    Options:
        -l          Indicate the input file is a List File that has a list of xml files.
                    Default to off (Input file is an XML file).
        -v=xxx      Validation scheme [always | never | auto*].
        -n          Enable namespace processing. Defaults to off.
        -s          Enable schema processing. Defaults to off.
        -f          Enable full schema constraint checking. Defaults to off.
        -d          Disallow doctype. Defaults to off.
        -locale=ll_CC specify the locale, default: en_US
        -p          Print out names of elements and attributes encountered.
        -?          Show this help.

      * = Default if not provided explicitly.

-v=always will force validation
-v=never will not use any validation
-v=auto will validate if a DOCTYPE declaration or a schema declaration is present in the XML document

Here is a sample output from DOMCount

    cd xerces-c-3.2.4/samples/data
    DOMCount -v=always personal.xml
    personal.xml: 20 ms (37 elems)

| The time reported by the system may be different, depending on your processor speed.

Copyright © 1999-2017 The Apache Software Foundation. All Rights Reserved.